import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntWithAggregatesFilterObjectSchema as IntWithAggregatesFilterObjectSchema } from './IntWithAggregatesFilter.schema';
import { StringWithAggregatesFilterObjectSchema as StringWithAggregatesFilterObjectSchema } from './StringWithAggregatesFilter.schema'

const insurancecredentialscalarwherewithaggregatesinputSchema = z.object({
  AND: z.union([z.lazy(() => InsuranceCredentialScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => InsuranceCredentialScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => InsuranceCredentialScalarWhereWithAggregatesInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => InsuranceCredentialScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => InsuranceCredentialScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  siteKey: z.union([z.lazy(() => StringWithAggregatesFilterObjectSchema), z.string()]).optional(),
  username: z.union([z.lazy(() => StringWithAggregatesFilterObjectSchema), z.string()]).optional(),
  password: z.union([z.lazy(() => StringWithAggregatesFilterObjectSchema), z.string()]).optional()
}).strict();
export const InsuranceCredentialScalarWhereWithAggregatesInputObjectSchema: z.ZodType<Prisma.InsuranceCredentialScalarWhereWithAggregatesInput> = insurancecredentialscalarwherewithaggregatesinputSchema as unknown as z.ZodType<Prisma.InsuranceCredentialScalarWhereWithAggregatesInput>;
export const InsuranceCredentialScalarWhereWithAggregatesInputObjectZodSchema = insurancecredentialscalarwherewithaggregatesinputSchema;
